import { Component } from '@angular/core';
import { NavController, NavParams, ViewController} from 'ionic-angular';

@Component({
  selector: 'page-block-modal',
  templateUrl: 'block-modal.html',
})
export class BlockModalPage {

  blockList;
  block;
  constructor(public navCtrl: NavController, public navParams: NavParams,
              public viewCtrl: ViewController) {
  }

  ionViewDidLoad() {
    this.blockList = this.navParams.get('blockList');
    console.log(this.blockList);
  }

    dismiss() {
        this.viewCtrl.dismiss(this.blockList[this.block]);
    }

}
